Page MenuHomePhabricator

Write presentation model for Newsletter
Closed, ResolvedPublic

Description

There is only one notification type in Newsletter: subscribe-newsletter

Details

Related Gerrit Patches:
mediawiki/extensions/Newsletter : masterMigrate notification to the new Echo presentation model

Event Timeline

Catrope created this task.Oct 27 2015, 10:31 PM
Catrope raised the priority of this task from to Needs Triage.
Catrope updated the task description. (Show Details)
Catrope added subscribers: Aklapper, Catrope.
Catrope triaged this task as High priority.Oct 28 2015, 12:02 AM
Catrope set Security to None.
Qgil added a subscriber: Qgil.Oct 28 2015, 12:12 PM

/me is intrigued, trying to understand the description and the parent task. In any case, thank you for helping improving the Newsletter extension! "Catrope filed a task in our project " is almost a milestone. ;)

Looks like Echo's formatting system was rewritten and Newsletter extension's formatter also needs to be updated to use the new system. Is there any documentation on how to migrate to the new system?

Yes, @Glaisher has it right. We (collaboration team) are going through all extensions and porting them to the new system (since we are the ones that decided to introduce it). So you guys don't have to do anything, unless you want to :) (in which case please assign this task before one of us claims it)

Change 256611 had a related patch set uploaded (by Mooeypoo):
Migrate notification to the new Echo presentation model

https://gerrit.wikimedia.org/r/256611

Qgil awarded a token.Dec 3 2015, 8:20 AM

Change 256611 merged by jenkins-bot:
Migrate notification to the new Echo presentation model

https://gerrit.wikimedia.org/r/256611

Addshore closed this task as Resolved.Dec 4 2015, 8:07 PM
Addshore added a subscriber: Addshore.